Inhalte
Index 🔎︎

# Funktion CDate

Konvertiert Zeichenfolgen- oder numerische Ausdrücke in Datumswerte.

### Syntax:

    CDate (Ausdruck)

## Rückgabewert:

Date

### Parameter:

Ausdruck: Ein beliebiger zu konvertierender Zeichenfolgen- oder numerischer Ausdruck.

Wenn Sie eine Zeichenfolge konvertieren, müssen Datum und Uhrzeit entweder in einem der für Ihre Gebietsschema-Einstellung definierten Datum-Annahmemuster eingegeben werden (siehe LibreOffice – Einstellungen Extras – Optionen… – Spracheinstellungen – Sprachen) oder im ISO-Datumsformat (momentan wird nur das ISO-Format mit Bindestrichen akzeptiert, beispielsweise "2012-12-31"). In numerischen Ausdrücken stehen die Werte links von der Dezimalstelle für das Datum ab dem 31. Dezember 1899. Die Werte rechts von der Dezimalstelle stehen für die Uhrzeit.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleCDate
          MsgBox cDate(1000.25) ' 09.26.1902 06:00:00
          MsgBox cDate(1001.26) ' 09.27.1902 06:14:24
      End Sub